Bug 103788 - pppoe does not work with Raw Hide 2.4.22 kernel
pppoe does not work with Raw Hide 2.4.22 kernel
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-09-04 18:28 EDT by Kyle R Maxwell
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-10 17:19:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle R Maxwell 2003-09-04 18:28:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a) Gecko/20030729
Mozilla Firebird/0.6.1

Description of problem:
When booting the new Raw Hide 2.4.22 kernel (kernel-2.4.22-20.1.2024.2.36.nptl),
PPPoE connections no longer seem to work. Relevant syslog messages below.
Booting to Severn 2.4.21 kernel works fine.



Version-Release number of selected component (if applicable):
ppp-2.4.1-13

How reproducible:
Always

Steps to Reproduce:
1. Boot kernel-2.4.22-20.1.2024.2.36.nptl
2. Watch for ppp interface configuration (or run adsl-start).
3. Fails.
    

Actual Results:  No PPPoE connection is established. 

Expected Results:  A successful PPPoE connection.

Additional info:

Sep  4 17:17:58 lando pppd[3419]: pppd 2.4.1 started by root, uid 0
Sep  4 17:17:58 lando /etc/hotplug/net.agent: assuming ppp0 is already up
Sep  4 17:17:58 lando pppd[3419]: Using interface ppp0
Sep  4 17:17:58 lando pppd[3419]: Connect: ppp0 <--> /dev/pts/0
Sep  4 17:18:04 lando kernel: NETDEV WATCHDOG: eth0: transmit timed out
Sep  4 17:18:04 lando kernel: eth0: Transmit timeout, status 00000004 00000241 
Sep  4 17:18:12 lando kernel: NETDEV WATCHDOG: eth0: transmit timed out
Sep  4 17:18:12 lando kernel: eth0: Transmit timeout, status 00000004 00000241 
Sep  4 17:18:20 lando kernel: NETDEV WATCHDOG: eth0: transmit timed out
Sep  4 17:18:20 lando kernel: eth0: Transmit timeout, status 00000004 00000241 
Sep  4 17:18:29 lando pppd[3419]: LCP: timeout sending Config-Requests 
Sep  4 17:18:29 lando pppd[3419]: Connection terminated.
Sep  4 17:18:29 lando /etc/hotplug/net.agent: NET unregister event not supported
Sep  4 17:18:33 lando pppoe[3420]: Timeout waiting for PADO packets
Sep  4 17:18:33 lando pppd[3419]: Exit.
Sep  4 17:18:33 lando adsl-connect: ADSL connection lost; attempting re-connection.
Sep  4 17:18:38 lando pppd[3525]: pppd 2.4.1 started by root, uid 0
Sep  4 17:18:38 lando pppd[3525]: Using interface ppp0
Sep  4 17:18:38 lando pppd[3525]: Connect: ppp0 <--> /dev/pts/0
Sep  4 17:18:38 lando /etc/hotplug/net.agent: assuming ppp0 is already up
Sep  4 17:18:44 lando kernel: NETDEV WATCHDOG: eth0: transmit timed out
Sep  4 17:18:44 lando kernel: eth0: Transmit timeout, status 00000000 00000251 
Sep  4 17:18:52 lando kernel: NETDEV WATCHDOG: eth0: transmit timed out
Sep  4 17:18:52 lando kernel: eth0: Transmit timeout, status 00000000 00000240 
Sep  4 17:19:00 lando kernel: NETDEV WATCHDOG: eth0: transmit timed out
Sep  4 17:19:00 lando kernel: eth0: Transmit timeout, status 00000000 00000240 
Sep  4 17:19:09 lando pppd[3525]: LCP: timeout sending Config-Requests 
Sep  4 17:19:09 lando pppd[3525]: Connection terminated.
Sep  4 17:19:09 lando /etc/hotplug/net.agent: NET unregister event not supported
Sep  4 17:19:13 lando pppoe[3526]: Timeout waiting for PADO packets
Sep  4 17:19:13 lando pppd[3525]: Exit.
Comment 1 Bill Nottingham 2003-09-04 18:59:12 EDT
What network card?
Comment 2 Kyle R Maxwell 2003-09-04 19:05:08 EDT
Sorry, SiS 900 (onboard the ECS K7S5A).
Comment 3 Kyle R Maxwell 2003-09-10 17:19:54 EDT
Seems to work with the latest 2.4.22 Raw Hide kernel. Thanks.

Note You need to log in before you can comment on or make changes to this bug.